VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | Static Public Attributes
vmware::appliance::techpreview::networking::RoutesTypes::TestStatus Class Reference

`Routes.TestStatus` enumerated type Health indicator More...

List of all members.

## Public Types
enum | Values { _UNKNOWN, orange, green, red }
| C# enum whose values can be used in switch statements. More...
## Public Member Functions
bool | IsUnknown ()
Values | GetEnumValue ()
## Static Public Member Functions
static TestStatus[] | GetValues ()
static TestStatus | ValueOf (string name)
## Static Public Attributes
static readonly TestStatus | orange = new TestStatus("orange", Values.orange)
| In case data has more than one test, this indicates not all tests were successful.
static readonly TestStatus | green = new TestStatus("green", Values.green)
| All tests were successful for given data.
static readonly TestStatus | red = new TestStatus("red", Values.red)
| All tests failed for given data.

## Detailed Description

`Routes.TestStatus` enumerated type Health indicator

## Member Enumeration Documentation

enum vmware::appliance::techpreview::networking::RoutesTypes::TestStatus::Values

C# enum whose values can be used in switch statements.

Ordinals have no semantic meaning (your code should not rely on them).

Enumerator:

  _UNKNOWN | Special enumeration constant which is used to represent constants that do not exist in the current enum binding. For example if a client sends a new constant to an older server, the server code will see this special constant, because its enum binding lacks the new constant.
  orange | In case data has more than one test, this indicates not all tests were successful.
  green | All tests were successful for given data.
  red | All tests failed for given data.

## Member Function Documentation

Values vmware::appliance::techpreview::networking::RoutesTypes::TestStatus::GetEnumValue | ( |  | ) | `[inline]`

static TestStatus [] vmware::appliance::techpreview::networking::RoutesTypes::TestStatus::GetValues | ( |  | ) | `[inline, static]`

bool vmware::appliance::techpreview::networking::RoutesTypes::TestStatus::IsUnknown | ( |  | ) | `[inline]`

static TestStatus vmware::appliance::techpreview::networking::RoutesTypes::TestStatus::ValueOf | ( | string | name | ) | `[inline, static]`

## Member Data Documentation

readonly TestStatus vmware::appliance::techpreview::networking::RoutesTypes::TestStatus::green = new TestStatus("green", Values.green)`[static]`

All tests were successful for given data.

readonly TestStatus vmware::appliance::techpreview::networking::RoutesTypes::TestStatus::orange = new TestStatus("orange", Values.orange)`[static]`

In case data has more than one test, this indicates not all tests were successful.

readonly TestStatus vmware::appliance::techpreview::networking::RoutesTypes::TestStatus::red = new TestStatus("red", Values.red)`[static]`

All tests failed for given data.

The documentation for this class was generated from the following file:

- RoutesTypes.cs